Bug 535330 - (RHQ-2037) RFE: Create auto-sum, auto-min and auto-average on groups of compatible types and feed into metrics
RFE: Create auto-sum, auto-min and auto-average on groups of compatible types...
Status: NEW
Product: RHQ Project
Classification: Other
Component: Monitoring (Show other bugs)
unspecified
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
http://jira.rhq-project.org/browse/RH...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-28 09:00 EDT by Heiko W. Rupp
Modified: 2014-05-05 16:33 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2009-04-28 09:00:00 EDT
We had some inquiries about e.g. the total number of connections to a postgres cluster or the number of messages in all JMS queues.

While this can be implemented as a metric in parent resource, it would be good to implement it in a generic way for groups of compatible resources.

Those "auto-sum/min/max/avg" values would need to be available in the alert subsystem for the group.
Comment 1 Red Hat Bugzilla 2009-11-10 15:56:29 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2037
Comment 2 wes hayutin 2010-02-16 16:10:23 EST
Mass move to component = Monitoring

Note You need to log in before you can comment on or make changes to this bug.